# Contributing to arb_gen

First off, thank you for considering contributing to arb_gen! Together we can make it even better. Below are a few guidelines to help you get started.

## How Can I Contribute?

### Reporting Bugs

If you encounter a bug, please search the [GitHub issues](https://github.com/Awesome-T/arb_gen/issues) to see if it has already been reported. If not, please open a new issue, providing as much detail as possible about the problem and steps to reproduce it.

### Suggesting Enhancements

Have an idea for an improvement or a new feature? Feel free to open an issue and describe your suggestion. We appreciate all feedback and ideas for making arb_gen more awesome!

### Code Contributions

1. Fork the repository and create your branch from `main`.
2. Make your changes, ensuring to follow the project's coding conventions and style guidelines.
3. Test your changes thoroughly to ensure they don't introduce any regressions.
4. Open a pull request (PR) with a clear description of your changes and reference any related issues.

## Code Style

Please follow the existing code style and conventions used in the project to maintain consistency throughout the codebase.

## Code of Conduct

Please note that this project is released with a [Contributor Code of Conduct](CODE_OF_CONDUCT.md). By participating in this project you agree to abide by its terms.

## Questions

If you have any questions or need further clarification, feel free to reach out by opening an issue or contacting the maintainers directly.

Thank you for contributing to arb_gen!
