/// Impressive! This language map is thorough and covers a diverse
/// range of languages. It's great for handling localization in your
/// application. If you have any questions or need assistance with
/// anything related to this code or beyond, feel free to ask!
// ignore: constant_identifier_names
const Map<String, Map<String, String>> FlutterSupportedLanguages = {
  'af': {'Afrikaans': 'Afrikaans'},
  'am': {'Amharic': 'አማርኛ'},
  'ar': {'Arabic': 'العربية'},
  'as': {'Assamese': 'অসমীয়া'},
  'az': {'Azerbaijani': 'Azərbaycan dili'},
  'be': {'Belarusian': 'Беларуская мова'},
  'bg': {'Bulgarian': 'Български'},
  'bn': {'Bengali Bangla': 'বাংলা'},
  'bs': {'Bosnian': 'Bosanski'},
  'ca': {'Catalan Valencian': 'Català'},
  'cs': {'Czech': 'Čeština'},
  'cy': {'Welsh': 'Cymraeg'},
  'da': {'Danish': 'Dansk'},
  'de': {'German': 'Deutsch'},
  'el': {'Modern Greek': 'Ελληνικά'},
  'en': {'English': 'English'},
  'es': {'Spanish Castilian': 'Español'},
  'et': {'Estonian': 'Eesti'},
  'eu': {'Basque': 'Euskara'},
  'fa': {'Persian': 'فارسی'},
  'fi': {'Finnish': 'Suomi'},
  'fil': {'Filipino Pilipino': 'Filipino'},
  'fr': {'French': 'Français'},
  'gl': {'Galician': 'Galego'},
  'gsw': {'Swiss German Alemannic Alsatian': 'Schwyzertüütsch'},
  'gu': {'Gujarati': 'ગુજરાતી'},
  'he': {'Hebrew': 'עברית'},
  'hi': {'Hindi': 'हिन्दी'},
  'hr': {'Croatian': 'Hrvatski'},
  'hu': {'Hungarian': 'Magyar'},
  'hy': {'Armenian': 'Հայերեն'},
  'id': {'Indonesian': 'Bahasa Indonesia'},
  'is': {'Icelandic': 'Íslenska'},
  'it': {'Italian': 'Italiano'},
  'ja': {'Japanese': '日本語'},
  'ka': {'Georgian': 'ქართული'},
  'kk': {'Kazakh': 'Қазақ тілі'},
  'km': {'Khmer Central Khmer': 'ភាសាខ្មែរ'},
  'kn': {'Kannada': 'ಕನ್ನಡ'},
  'ko': {'Korean': '한국어'},
  'ky': {'Kirghiz Kyrgyz': 'Кыргызча'},
  'lo': {'Lao': 'ພາສາລາວ'},
  'lt': {'Lithuanian': 'Lietuvių kalba'},
  'lv': {'Latvian': 'Latviešu valoda'},
  'mk': {'Macedonian': 'Македонски'},
  'ml': {'Malayalam': 'മലയാളം'},
  'mn': {'Mongolian': 'Монгол'},
  'mr': {'Marathi': 'मराठी'},
  'ms': {'Malay': 'Bahasa Melayu'},
  'my': {'Burmese': 'မြန်မာစာ'},
  'nb': {'Norwegian Bokmål': 'Norsk bokmål'},
  'ne': {'Nepali': 'नेपाली'},
  'nl': {'Dutch Flemish': 'Nederlands'},
  'no': {'Norwegian': 'Norsk'},
  'or': {'Oriya': 'ଓଡ଼ିଆ'},
  'pa': {'Panjabi Punjabi': 'ਪੰਜਾਬੀ'},
  'pl': {'Polish': 'Polski'},
  'ps': {'Pushto Pashto': 'پښتو'},
  'pt': {'Portuguese': 'Português'},
  'ro': {'Romanian Moldavian Moldovan': 'Română'},
  'ru': {'Russian': 'Русский'},
  'si': {'Sinhala Sinhalese': 'සිංහල'},
  'sk': {'Slovak': 'Slovenčina'},
  'sl': {'Slovenian': 'Slovenščina'},
  'sq': {'Albanian': 'Shqiptar'},
  'sr': {'Serbian': 'Српски'},
  'sv': {'Swedish': 'Svenska'},
  'sw': {'Swahili': 'Kiswahili'},
  'ta': {'Tamil': 'தமிழ்'},
  'te': {'Telugu': 'తెలుగు'},
  'th': {'Thai': 'ไทย'},
  'tl': {'Tagalog': 'Tagalog'},
  'tr': {'Turkish': 'Türkçe'},
  'uk': {'Ukrainian': 'Українська'},
  'ur': {'Urdu': 'اردو'},
  'uz': {'Uzbek': 'Oʻzbekcha'},
  'vi': {'Vietnamese': 'Tiếng Việt'},
  'zh': {'Chinese': '中文'},
  'zu': {'Zulu': 'isiZulu'},
};

///
///
const Map<String, Map<String, String>> LangsTranslationService = {
  'af': {'Afrikaans': 'af'},
  'sq': {'Albanian': 'sq'},
  'am': {'Amharic': 'am'},
  'ar': {'Arabic': 'ar'},
  'hy': {'Armenian': 'hy'},
  'as': {'Assamese': 'as'},
  'ay': {'Aymara': 'ay'},
  'az': {'Azerbaijani': 'az'},
  'bm': {'Bambara': 'bm'},
  'eu': {'Basque': 'eu'},
  'be': {'Belarusian': 'be'},
  'bn': {'Bengali': 'bn'},
  'bho': {'Bhojpuri': 'bho'},
  'bs': {'Bosnian': 'bs'},
  'bg': {'Bulgarian': 'bg'},
  'ca': {'Catalan': 'ca'},
  'ceb': {'Cebuano': 'ceb'},
  'zh-CN': {'Chinese (Simplified)': 'zh-CN'},
  'zh-TW': {'Chinese (Traditional)': 'zh-TW'},
  'co': {'Corsican': 'co'},
  'hr': {'Croatian': 'hr'},
  'cs': {'Czech': 'cs'},
  'da': {'Danish': 'da'},
  'dv': {'Dhivehi': 'dv'},
  'doi': {'Dogri': 'doi'},
  'nl': {'Dutch': 'nl'},
  'en': {'English': 'en'},
  'eo': {'Esperanto': 'eo'},
  'et': {'Estonian': 'et'},
  'ee': {'Ewe': 'ee'},
  'fil': {'Filipino (Tagalog)': 'fil'},
  'fi': {'Finnish': 'fi'},
  'fr': {'French': 'fr'},
  'fy': {'Frisian': 'fy'},
  'gl': {'Galician': 'gl'},
  'ka': {'Georgian': 'ka'},
  'de': {'German': 'de'},
  'el': {'Greek': 'el'},
  'gn': {'Guarani': 'gn'},
  'gu': {'Gujarati': 'gu'},
  'ht': {'Haitian Creole': 'ht'},
  'ha': {'Hausa': 'ha'},
  'haw': {'Hawaiian': 'haw'},
  'he': {'Hebrew': 'he'},
  'hi': {'Hindi': 'hi'},
  'hmn': {'Hmong': 'hmn'},
  'hu': {'Hungarian': 'hu'},
  'is': {'Icelandic': 'is'},
  'ig': {'Igbo': 'ig'},
  'ilo': {'Ilocano': 'ilo'},
  'id': {'Indonesian': 'id'},
  'ga': {'Irish': 'ga'},
  'it': {'Italian': 'it'},
  'ja': {'Japanese': 'ja'},
  'jv': {'Javanese': 'jv'},
  'kn': {'Kannada': 'kn'},
  'kk': {'Kazakh': 'kk'},
  'km': {'Khmer': 'km'},
  'rw': {'Kinyarwanda': 'rw'},
  'gom': {'Konkani': 'gom'},
  'ko': {'Korean': 'ko'},
  'kri': {'Krio': 'kri'},
  'ku': {'Kurdish': 'ku'},
  'ckb': {'Kurdish (Sorani)': 'ckb'},
  'ky': {'Kyrgyz': 'ky'},
  'lo': {'Lao': 'lo'},
  'la': {'Latin': 'la'},
  'lv': {'Latvian': 'lv'},
  'ln': {'Lingala': 'ln'},
  'lt': {'Lithuanian': 'lt'},
  'lg': {'Luganda': 'lg'},
  'lb': {'Luxembourgish': 'lb'},
  'mk': {'Macedonian': 'mk'},
  'mai': {'Maithili': 'mai'},
  'mg': {'Malagasy': 'mg'},
  'ms': {'Malay': 'ms'},
  'ml': {'Malayalam': 'ml'},
  'mt': {'Maltese': 'mt'},
  'mi': {'Maori': 'mi'},
  'mr': {'Marathi': 'mr'},
  'mni-Mtei': {'Meiteilon (Manipuri)': 'mni-Mtei'},
  'lus': {'Mizo': 'lus'},
  'mn': {'Mongolian': 'mn'},
  'my': {'Myanmar (Burmese)': 'my'},
  'ne': {'Nepali': 'ne'},
  'no': {'Norwegian': 'no'},
  'ny': {'Nyanja (Chichewa)': 'ny'},
  'or': {'Odia (Oriya)': 'or'},
  'om': {'Oromo': 'om'},
  'ps': {'Pashto': 'ps'},
  'fa': {'Persian': 'fa'},
  'pl': {'Polish': 'pl'},
  'pt': {'Portuguese (Portugal, Brazil)': 'pt'},
  'pa': {'Punjabi': 'pa'},
  'qu': {'Quechua': 'qu'},
  'ro': {'Romanian': 'ro'},
  'ru': {'Russian': 'ru'},
  'sm': {'Samoan': 'sm'},
  'sa': {'Sanskrit': 'sa'},
  'gd': {'Scots Gaelic': 'gd'},
  'nso': {'Sepedi': 'nso'},
  'sr': {'Serbian': 'sr'},
  'st': {'Sesotho': 'st'},
  'sn': {'Shona': 'sn'},
  'sd': {'Sindhi': 'sd'},
  'si': {'Sinhala (Sinhalese)': 'si'},
  'sk': {'Slovak': 'sk'},
  'sl': {'Slovenian': 'sl'},
  'so': {'Somali': 'so'},
  'es': {'Spanish': 'es'},
  'su': {'Sundanese': 'su'},
  'sw': {'Swahili': 'sw'},
  'sv': {'Swedish': 'sv'},
  'tl': {'Tagalog (Filipino)': 'tl'},
  'tg': {'Tajik': 'tg'},
  'ta': {'Tamil': 'ta'},
  'tt': {'Tatar': 'tt'},
  'te': {'Telugu': 'te'},
  'th': {'Thai': 'th'},
  'ti': {'Tigrinya': 'ti'},
  'ts': {'Tsonga': 'ts'},
  'tr': {'Turkish': 'tr'},
  'tk': {'Turkmen': 'tk'},
  'ak': {'Twi (Akan)': 'ak'},
  'uk': {'Ukrainian': 'uk'},
  'ur': {'Urdu': 'ur'},
  'ug': {'Uyghur': 'ug'},
  'uz': {'Uzbek': 'uz'},
  'vi': {'Vietnamese': 'vi'},
  'cy': {'Welsh': 'cy'},
  'xh': {'Xhosa': 'xh'},
  'yi': {'Yiddish': 'yi'},
  'yo': {'Yoruba': 'yo'},
  'zu': {'Zulu': 'zu'},
};
